// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

use lazy_static::lazy_static;
use limine::response::ModuleResponse;

use crate::boot::MODULE_REQUEST;

lazy_static! {
    pub static ref MODULE_RESPONSE: &'static ModuleResponse = MODULE_REQUEST
        .get_response()
        .expect("Bootloader did not return kernel modules");
}

// TODO: make initramfs a lazy static somehow?
