#[macro_export]
macro_rules! critical_section {
    ($b:block) => {
        unsafe { $crate::arch::asm::interrupt_disable(); }
        $b
        unsafe { $crate::arch::asm::interrupt_enable(); }
    };
}
